package cn.reghao.tnb.file.app.config;

import cn.reghao.jutil.jdk.converter.ByteConverter;
import cn.reghao.jutil.jdk.http.WebClient;
import cn.reghao.jutil.jdk.http.WebRequest;
import cn.reghao.jutil.jdk.shell.ShellExecutor;
import cn.reghao.tnb.file.app.util.JarFileResources;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;

/**
 * @author reghao
 * @date 2023-08-02 09:14:17
 */
@Configuration
public class BeanConfig {
    @Bean
    public RestTemplate restTemplate(){
        return new RestTemplate();
    }

    @Bean
    public WebRequest webRequest() {
        //return new DefaultWebRequest();
        return new WebClient();
    }

    @Bean
    public ShellExecutor shellExecutor() {
        return new ShellExecutor();
    }

    @Bean
    public ByteConverter byteConverter() {
        return new ByteConverter();
    }

    @Bean
    public JarFileResources jarFileResources() {
        return new JarFileResources();
    }
}
